UA friend list (End of support)

This page describes information(VID, PlayerID) of inviting and invited users who achieved CPI through User Acquisition. Compose each user's friends list by using the following data.

  • Request URL
    Common URL https://promotion.qpyou.cn/ua/user/invitee
    Sandbox URL https://sandbox-promotion.qpyou.cn/ua/user/invitee
    HTTP Method POST
    Content-Type application/json
    Data Format JSON
  • Header
    Field Name Description Type Required
    Authorization CertificationKey valid through Bearer Authorization String N
  • Header
    Field Name Description Type Required
    Authorization CertificationKey valid through Bearer Authorization String N
  • Request
    Field Name Description Type Required
    game_index Game index registered in AppCenter. Integer Y
    begin_id The first ID which friends list through CPI begins. (The value is 0 if the request is the first time) Integer Y
    data_limit The number of friends list importing at once. If nothing is entered, default value is 1000. Integer N
    sender_vid VID, PlayerID of an inviting user. String N
  • Response
    Field Name Description Type Required
    result_code Response code 0: Verification success Others: Verification failure Integer Y
    result_message Response message String Y
    request Data received when implementing the API is requested. (Send the request data) Array Y
    ㄴ game_index Game index registered in AppCenter. Integer Y
    ㄴ begin_id The first ID which friends list through CPI begins. (The value is 0 if the request is the first time) Integer Y
    ㄴ data_limit The number of friends list importing at once. When nothing is entered, default value is 1000. Integer N
    ㄴ sender_vid VID, PlayerID of an inviting user. String N
    result Friends list. Null is available when nothing exists. Array N
    ㄴ companion_id Internally managed ID in HIVE. String Y
    ㄴ sender_vid VID, PlayerID of an inviting user. String Y
    ㄴ receiver_vid VID, PlayerID of an invited user. String Y
    ㄴ dateadd At the time when two users become friends. String (DateTime) Y
    ㄴ id Unique ID of the current data. (Available when requesting the next data) String Y
    result_count The number of result. Integer Y
    last_id The last unique ID in the friends list transmitted. (Available when requesting the next data) Integer Y
  • Result code
    Code Message Description
    0 Success Success in data transmission
    201 Invalid parameter When transmitted paramter is wrong or does not exist (required value is empty). When transmission format is not POST.
  • Call Sample
    curl -L -v
    -d '{"game_index": 539, "begin_id": 0, "data_limit": 3, "sender_vid": 21001}'
    -H "Content-Type: application/json"
    https://sandbox-promotion.qpyou.cn/ua/user/invitee
    
  • Request Sample
    POST /ua/user/invitee HTTP/1.1
    > User-Agent: curl/7.29.0
    > Host: sandbox-promotion.qpyou.cn
    > Accept: /
    > Content-Type: application/json
    > Content-Length: 72
    
  • Response Sample
    < HTTP/1.1 200 OK
    < Server: nginx
    < Date: Tue, 15 Mar 2022 03:26:19 GMT
    < Content-Type: application/json
    {"result_code":0,"result_message":"success","request":{"game_index":539,"begin_id":0,"data_limit":3,"sender_vid":21001},"result":[],"result_count":0,"last_id":0}